<?php
/**
 * Theme function
 *
 * @version    $Id$
 * @package    wpbase
 * @author     bigtheme Team <bigtheme@gmail.com, support@bigtheme.ir>
 * @copyright  Copyright (C) 2015 bigtheme.ir. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * @website  http://www.bigtheme.ir
 * @support  http://www.bigtheme.ir
 */


define( 'PBR_THEME_DIR', get_template_directory() );
define( 'PBR_THEME_TEMPLATE_DIR',  PBR_THEME_DIR . '/templates/' );
define( 'PBR_THEME_TEMPLATE_DIR_PAGEBUILDER', PBR_THEME_DIR.'/vc_templates/' );

define( 'PBR_THEME_INC_DIR', PBR_THEME_DIR.'/inc/' );
define( 'PBR_THEME_CSS_DIR', PBR_THEME_DIR.'/css/' );

define( 'PBR_THEME_URI', get_template_directory_uri() );

define( 'PBR_THEME_NAME', 'newshopping' );
define( 'PBR_THEME_VERSION', '1.0' );


define( 'PBR_FRAMEWORK_CUSTOMZIME_STYLE_URI', PBR_THEME_URI.'/css/customize/' );
define( 'PBR_FRAMEWORK_ADMIN_STYLE_URI', PBR_THEME_URI.'/inc/assets/' );
define( 'PBR_FRAMEWORK_ADMIN_IMAGE_URI', PBR_FRAMEWORK_ADMIN_STYLE_URI.'images/' );
define( 'PBR_FRAMEWORK_STYLE_URI', PBR_THEME_URI.'/inc/assets/' );  

/**
 * Define constants storing status enable or disable  installed plugins.
 */
define( 'PBR_WOOCOMMERCE_ACTIVED', 	   in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) );
define( 'PBR_VISUAL_COMPOSER_ACTIVED', in_array( 'js_composer/js_composer.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ); 
define( 'PBR_PLGTHEMER_ACTIVED', 	   in_array( 'pbrframework/pbrframework.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) );

/* 
 * Localization
 */ 
$lang = PBR_THEME_DIR . '/languages' ;
load_theme_textdomain( 'newshopping', $lang );

/**
 * batch including all files in a path.
 *
 * @param String $path : PATH_DIR/*.php or PATH_DIR with $ifiles not empty
 */
function newshopping_pbr_includes( $path, $ifiles=array() ){

    if( !empty($ifiles) ){
         foreach( $ifiles as $key => $file ){
            $file  = $path.'/'.$file; 
            if(is_file($file)){
                require($file);
            }
         }   
    }else {
        $files = glob($path);
        foreach ($files as $key => $file) {
            if(is_file($file)){
                require($file);
            }
        }
    }
}

/**
 * Register Lato Google font for PrestaBase.
 *
 * @since PrestaBase 1.0
 *
 * @return string
 */
function newshopping_pbr_font_url() {
    
    $fonts_url = '';
 
    /* Translators: If there are characters in your language that are not
    * supported by Lora, translate this to 'off'. Do not translate
    * into your own language.
    */
    $lora = _x( 'on', 'Hind font: on or off', 'theme-slug' );
 
    /* Translators: If there are characters in your language that are not
    * supported by Open Sans, translate this to 'off'. Do not translate
    * into your own language.
    */
    $open_sans = _x( 'on', 'Open Sans font: on or off', 'theme-slug' );
 
    if ( 'off' !== $lora || 'off' !== $open_sans ) {
        $font_families = array();
 
        if ( 'off' !== $lora ) {
            $font_families[] = 'Montserrat:400,700';
        }
 
        if ( 'off' !== $open_sans ) {
            $font_families[] = 'Roboto:400,300,900,700italic,700,500';
        }
 
        $query_args = array(
            'family' => ( implode( '|', $font_families ) ),
            'subset' => urlencode( 'latin,latin-ext' ),
        );
        
        $protocol = is_ssl() ? 'https:' : 'http:';
        $fonts_url = add_query_arg( $query_args, $protocol .'//fonts.googleapis.com/css' );
    }
 
    return esc_url_raw( $fonts_url );
}

function newshopping_pbr_scripts() {
    wp_enqueue_style( 'newshopping-lato', newshopping_pbr_font_url(), array(), null );


    wp_enqueue_script('newshopping-prettyphoto-js',  PBR_THEME_URI.'/js/jquery.prettyPhoto.js',array(),false,true);
    wp_enqueue_script('newshopping-owlcaousel-js',   PBR_THEME_URI.'/js/owl-carousel/owl.carousel.min.js',array(),false,true);
    wp_enqueue_script('newshopping-main_js',         PBR_THEME_URI.'/js/main.js',array(),false,true);

    wp_enqueue_style('newshopping-base-fonticon',    PBR_THEME_URI.'/css/font-awesome.css' );
    wp_enqueue_style('newshopping-prettyPhoto',      PBR_THEME_URI.'/css/prettyPhoto.css' );
}

add_action( 'wp_enqueue_scripts', 'newshopping_pbr_scripts', 19 );         
/*
 * Include list of files from PBR Framework.
 */ 
newshopping_pbr_includes(  PBR_THEME_DIR . '/inc/plugins/*.php' );

 
newshopping_pbr_includes(  PBR_THEME_DIR . '/inc/classes/*.php' );

if( is_admin() ) {
   /**
    * Admin Classess Core Frameworks Included
    */ 
    newshopping_pbr_includes(  PBR_THEME_DIR . '/inc/classes/admin/*.php' );
 }


/// include list of functions to process logics of worpdress not support 3rd-plugins.
newshopping_pbr_includes(  PBR_THEME_INC_DIR . '/functions/*.php' );

/// WooCommerce specified functions
if( PBR_WOOCOMMERCE_ACTIVED   && defined( 'WPB_VC_VERSION' )  ) {
    newshopping_pbr_includes(  PBR_THEME_INC_DIR . '/vendors/visualcomposer/*.php' );
}

/// WooCommerce specified functions
if( PBR_WOOCOMMERCE_ACTIVED ) {
    newshopping_pbr_includes(  PBR_THEME_INC_DIR . '/vendors/woocommerce/*.php' );
}

/**
 * Theme Customizer
 */ 
newshopping_pbr_includes(  PBR_THEME_INC_DIR . '/customizer/*.php' );

$pbrEngine = new Newshopping_TemplateFront();
$protocol = is_ssl() ? 'https:' : 'http:';
$pbrEngine->init();

/**
 * init loading javascript and css files
 */