<?php
/**
 * $Desc
 *
 * @version    $Id$
 * @package    wpbase
 * @author     bigtheme Team <bigtheme@gmail.com, support@bigtheme.ir>
 * @copyright  Copyright (C) 2015 bigtheme.ir. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * @website  http://www.bigtheme.ir
 * @support  http://www.bigtheme.ir
 */
?>
<!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width">
    <link rel="profile" href="http://gmpg.org/xfn/11">
    <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
    <!-- OFF-CANVAS MENU SIDEBAR -->
     <section class="pbr-page row-offcanvas row-offcanvas-left">
        <?php get_template_part('templates/mobile/offcanvas' );?>
    <!-- //OFF-CANVAS MENU SIDEBAR -->

    <?php
        $meta_template = get_post_meta(get_the_ID(),'pbr_template',true);
    ?>

    <!-- START Wrapper -->
    <section class="pbr-wrapper <?php echo isset($meta_template['el_class']) ? $meta_template['el_class'] : '' ; ?>">

        <!-- HEADER -->
        <header id="pbr-header" class="pbr-header header-style header-left-v1">
            <!-- Top bar -->
            <div id="pbr-topbar" class="pbr-topbar hidden-lg hidden-md ">
                <div class="topbar-inner">
                    <div class="container">
                        
                        <div class="topbar-mobile">
                            <div class="hidden-lg hidden-md pull-right">
                                <div class="active-mobile pull-left hidden-sm">
                                    <div class="navbar-header-topbar">
                                        <?php newshopping_pbr_render_button_toggle(); ?>
                                    </div>
                                </div>

                                <div class="active-mobile pull-left search-popup">
                                    <span class="fa fa-search"></span>
                                    <div class="active-content">
                                        <?php get_search_form(); ?>
                                    </div>
                                </div>
                                <div class="active-mobile pull-left setting-popup">
                                    <span class="fa fa-user"></span>
                                    <div class="active-content">
                                        <?php if(has_nav_menu( 'topmenu' )){ ?>
                                            <div class="pull-left">
                                                <?php
                                                    $args = array(
                                                        'theme_location'  => 'topmenu',
                                                        'container_class' => '',
                                                        'menu_class'      => 'menu-topbar'
                                                    );
                                                    wp_nav_menu($args);
                                                ?>
                                            </div>
                                        <?php } ?>
                                    </div>
                                </div>
                                <div class="active-mobile pull-left cart-popup">
                                    <span class="fa fa-shopping-cart"></span>
                                    <div class="active-content">
                                        <div class="widget_shopping_cart_content"></div>
                                    </div>
                                </div>
                            </div>
                        </div>

                       
                    </div>
                </div>    
            </div>
            <!-- // Topbar -->
       
            <div class="pbr-header header-wrap">
                <div class="container">
                    <div class="header-wrapper-inner clearfix">
                        <!-- LOGO -->
                        <div class="logo-in-theme">
                            <?php if( newshopping_pbr_theme_options('logo') ) { ?>
                            <div class="logo">
                                <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
                                    <img src="<?php echo esc_url( newshopping_pbr_theme_options('logo') ); ?>" alt="<?php bloginfo( 'name' ); ?>">
                                </a>
                            </div>
                            <?php } else { ?>
                                <div class="logo logo-theme">
                                    <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
                                        
                                    </a>
                                </div>
                            <?php } ?>
                        </div>
                        <!-- //LOGO -->

                        <div class="header-right">
                            <div class="header-rightup space-padding-top-5 space-padding-bottom-15 clearfix hidden-xs hidden-sm">

                                <div class="user-login pull-right ">
                                    <div>
                                        <ul class="list-inline">
                                            <?php if( !is_user_logged_in() ){ ?>
                                                <li> <?php do_action('pbr-login-button'); ?></li>
                                                <li> <a href="<?php echo esc_url( get_permalink( get_option('woocommerce_myaccount_page_id') ) ); ?>" title="<?php _e('Register','newshopping'); ?>"> <?php _e('Register', 'newshopping'); ?> </a></li>
                                            <?php }else{ ?>
                                                <?php $current_user = wp_get_current_user(); ?>
                                              <li>  <span class="hidden-xs"><?php esc_html_e('Welcome ','newshopping'); ?><?php echo esc_html( $current_user->display_name); ?> !</span></li>
                                            <?php } ?>
                                        </ul>    
                                    </div>                       
                                </div>
                                <div class="pull-left hidden-xs hidden-sm">
                                    
                                    <?php 
                                         // WPML - Custom Languages Menu
                                        newshopping_pbr_wpml_language_buttons();
                                    ?>
                                    <div class="top-menu">
                                        <nav class="wp-topmenu" role="navigation">
                                              <?php if(has_nav_menu( 'topmenu' )){ ?>
                                            <?php
                                            $args = array(
                                                'theme_location'  => 'topmenu',
                                                'menu_class'      => 'pbr-menu-top list-inline',
                                                'fallback_cb'     => '',
                                                'menu_id'         => 'main-topmenu'
                                            );
                                            wp_nav_menu($args);
                                            ?>
                                            <?php } ?>
                                        </nav>
                                    </div>                              
                                </div>
                            </div>
                            <div class="header-rightdown clearfix ">
                                <div class="search hidden-sm hidden-xs">
                                    <?php newshopping_pbr_categories_searchform(); ?>
                                </div>
                                <div class="contact-link">
                                    <?php
                                        $text_header =newshopping_pbr_theme_options('text_header', '');
                                     echo (!empty($text_header)? $text_header: __('<span class="number">09128111132</span><span class="text-small">پشتیبانی 24 ساعته</span>', 'newshopping') ); ?>
                                </div> 
                                <?php if( PBR_WOOCOMMERCE_ACTIVED ) { ?>
                                    <!-- Setting -->
                                    <?php if( newshopping_pbr_theme_options('woo-show-minicart', true) ) : ?>
                                        <div class="top-cart hidden-sm hidden-xs">
                                            <?php newshopping_pbr_cartdropdown(); ?>
                                        </div>
                                    <?php endif; ?>
                                <?php } ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
                    <!-- MENU -->
            <div class="pbr-mainmenu-header header-bottom">
                <div class="container">
                    <div class="mainmenu-inner clearfix"> 
                        
                        <nav id="pbr-mainnav" data-duration="<?php echo newshopping_pbr_theme_options('megamenu-duration',400); ?>" class="pbr-megamenu <?php echo newshopping_pbr_theme_options('magemenu-animation','slide'); ?> animate navbar navbar-mega" role="navigation">
                            <div class="navbar-header">
                                <?php newshopping_pbr_render_button_toggle(); ?>
                            </div><!-- //END #navbar-header -->
                            <?php
                                $args = array(  'theme_location' => 'mainmenu',
                                                'container_class' => 'collapse navbar-collapse navbar-ex1-collapse',
                                                'menu_class' => 'nav navbar-nav megamenu',
                                                'fallback_cb' => '',
                                                'menu_id' => 'main-menu',
                                                'walker' => new Newshopping_PBR_Megamenu());
                                wp_nav_menu($args);
                            ?>
                        </nav>
                    </div>  
                </div>
            </div>
                <!-- //MENU -->
        </header>
        <!-- //HEADER -->