<?php
/**
 * $Desc
 *
 * @version    $Id$
 * @package    wpbase
 * @author     bigtheme Team <bigtheme@gmail.com, support@bigtheme.ir>
 * @copyright  Copyright (C) 2015 bigtheme.ir. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * @website  http://www.bigtheme.ir
 * @support  http://www.bigtheme.ir
 */
?>
<!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width">
    <link rel="profile" href="http://gmpg.org/xfn/11">
    <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
    <!-- OFF-CANVAS MENU SIDEBAR -->
    <section class="pbr-page row-offcanvas row-offcanvas-left">
        <?php get_template_part( 'templates/mobile/offcanvas' );?>
    <!-- //OFF-CANVAS MENU SIDEBAR -->

    <?php
        $meta_template = get_post_meta(get_the_ID(),'pbr_template',true); 
    ?>

    <!-- START Wrapper -->
    <section class="pbr-wrapper <?php echo isset($meta_template['el_class']) ? $meta_template['el_class'] : '' ; ?>">

        <!-- HEADER -->
        <header id="pbr-header" class="pbr-header skin-market">
        <!-- Top bar -->
        <div id="pbr-topbar" class="pbr-topbar">
            <div class="topbar-inner">
                <div class="container">
                    
                    <div class="topbar-mobile">
                        <div class="hidden-lg hidden-md pull-right">
                            <div class="active-mobile pull-left hidden-sm">
                                <div class="navbar-header-topbar">
                                    <?php newshopping_pbr_render_button_toggle(); ?>
                                </div>
                            </div>

                            <div class="active-mobile pull-left search-popup">
                                <span class="fa fa-search"></span>
                                <div class="active-content">
                                    <?php get_search_form(); ?>
                                </div>
                            </div>
                            <div class="active-mobile pull-left setting-popup">
                                <span class="fa fa-user"></span>
                                <div class="active-content">
                                    <h3 class="white title"><?php _e('Settings', 'newshopping'); ?></h3>
                                    <?php if(has_nav_menu( 'topmenu' )){ ?>
                                        <div class="pull-left">
                                            <?php
                                                $args = array(
                                                    'theme_location'  => 'topmenu',
                                                    'container_class' => '',
                                                    'menu_class'      => 'menu-topbar'
                                                );
                                                wp_nav_menu($args);
                                            ?>
                                        </div>
                                    <?php } ?>
                                </div>
                            </div>
                            <div class="active-mobile pull-left cart-popup">
                                <span class="fa fa-shopping-cart"></span>
                                <div class="active-content">
                                    <h3 class="white title">
                                        <?php _e('Shopping Bag','newshopping'); ?>
                                    </h3>
                                    <div class="widget_shopping_cart_content"></div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="user-login pull-left topbar-left hidden-xs hidden-sm">
                        <div>
                            <ul class="list-inline">
                                <?php if( !is_user_logged_in() ){ ?>
                                    <li> <?php do_action('pbr-login-button'); ?></li>
                                    <li> <a href="<?php echo esc_url( get_permalink( get_option('woocommerce_myaccount_page_id') ) ); ?>" title="<?php _e('Register','newshopping'); ?>"> <?php _e('Register', 'newshopping'); ?> </a></li>
                                <?php }else{ ?>
                                    <?php $current_user = wp_get_current_user(); ?>
                                  <li>  <span class="hidden-xs"><?php esc_html_e('Welcome ','newshopping'); ?><?php echo esc_html( $current_user->display_name); ?> !</span></li>
                                <?php } ?>
                            </ul>    
                        </div>                       
                    </div>
                    <div class="topbar-right pull-right hidden-xs hidden-sm">
                        
                        <?php 
                        // WPML - Custom Languages Menu
                       
                            newshopping_pbr_wpml_language_buttons();
           
                       ?>
                        <div class="top-menu">
                            <nav class="wp-topmenu" role="navigation">
                                  <?php if(has_nav_menu( 'topmenu' )){ ?>
                                <?php
                                $args = array(
                                    'theme_location'  => 'topmenu',
                                    'menu_class'      => 'pbr-menu-top list-inline list-square',
                                    'fallback_cb'     => '',
                                    'menu_id'         => 'main-topmenu'
                                );
                                wp_nav_menu($args);
                                ?>
                                <?php } ?>
                            </nav>
                        </div>  
                    </div>
                </div>
            </div>    
        </div>
        <!-- // Topbar -->
       
            <div class="header-wrap">
                <div class="header-wrapper-inner">
                    <!-- MENU -->
                    <div class="pbr-mainmenu-header">
                        <div class="container">
                            <div class="mainmenu-content"> 
                                <div class="mainmenu-content-inner">
                                    <!-- LOGO -->
                                    <div class="logo-in-theme pull-left">
                                        <?php if( newshopping_pbr_theme_options('logo') ) { ?>
                                        <div class="logo">
                                            <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
                                                <img src="<?php echo esc_url( newshopping_pbr_theme_options('logo') ); ?>" alt="<?php bloginfo( 'name' ); ?>">
                                            </a>
                                        </div>
                                        <?php } else { ?>
                                            <div class="logo logo-theme">
                                                <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
                                                     <img src="<?php echo get_template_directory_uri() . '/images/logo.png'; ?>" alt="<?php bloginfo( 'name' ); ?>" />
                                                </a>
                                            </div>
                                        <?php } ?>
                                    </div>
                                    <!-- //LOGO -->
                                    
                                    <nav id="pbr-mainnav" data-duration="<?php echo newshopping_pbr_theme_options('megamenu-duration',400); ?>" class="pull-right pbr-megamenu <?php echo newshopping_pbr_theme_options('magemenu-animation','slide'); ?> animate navbar navbar-mega" role="navigation">
                                        <div class="navbar-header">
                                            <?php newshopping_pbr_render_button_toggle(); ?>
                                        </div><!-- //END #navbar-header -->
                                        <?php
                                            $args = array(  'theme_location' => 'mainmenu',
                                                            'container_class' => 'collapse navbar-collapse navbar-ex1-collapse',
                                                            'menu_class' => 'nav navbar-nav megamenu',
                                                            'fallback_cb' => '',
                                                            'menu_id' => 'main-menu',
                                                            'walker' => new Newshopping_PBR_Megamenu());
                                            wp_nav_menu($args);
                                        ?>
                                    </nav>
                                </div>    
                            </div>  
                        </div>

                    </div>
                    <!-- //MENU -->

                        <div class="header-bottom main-search hidden-sm hidden-xs">
                            <div class="container">
                                <div class="row">
                                    <div class="col-xs-12">
                                        <div class="main-search-inner">
                                            <div class="row">
                                                <div class="col-third col-lg-8 col-md-6">
                                                    <div class="search">
                                                        <?php newshopping_pbr_categories_searchform(); ?>
                                                    </div>
                                                </div>   
                                                <div class="col-lg-4 col-md-3">
                                                    
                                                    <div class="col-third header-text-inner pull-left">
                                                        <div class="header-text">
                                                            <?php
                                                                $text_header =newshopping_pbr_theme_options('text_header', '');
                                                             echo (!empty($text_header)?$text_header: __('<span class="text-small">تلفن پشتیبانی:</span><span class="text-large">0000000000</span>') ); ?>
                                                        </div>    
                                                    </div>
                                                    <?php if( PBR_WOOCOMMERCE_ACTIVED ) { ?>
                                                    <div class="col-third hidden-sm hidden-xs cart-inner pull-left">
                                                        
                                                            <!-- Setting -->
                                                            <?php if( newshopping_pbr_theme_options('woo-show-minicart', true) ) : ?>
                                                                <div class="top-cart hidden-sm hidden-xs">
                                                                    <?php newshopping_pbr_cartdropdown(); ?>
                                                                </div>
                                                            <?php endif; ?>
                                                    </div>
                                                    <?php } ?>
                                                </div>
                                            </div>    
                                        </div>    
                                    </div>    
                                </div>
                            </div> 
                        </div>
                    <!-- SEARCH -->
                </div>

                <?php if(is_active_sidebar('header-market-right')){ ?>
                <div class="header-market-bottom">
                    <div class="container">
                        <div class="row">
                            <div class="col-sm-12 hidden-xs">
                                <div class="header-market-bottom-inner">
                                        <?php dynamic_sidebar('header-market-right'); ?>   
                                </div>    
                            </div>
                        </div> 
                    </div>           
                </div>
                <?php } ?>
            </div>

        </header>
        <!-- //HEADER -->