<?php
add_action( 'customize_register', 'newshopping_wp_ct_gallery_setting' );
function newshopping_wp_ct_gallery_setting( $wp_customize ){
    
    $wp_customize->add_panel( 'panel_gallery', array(
        'priority' => 82,
        'capability' => 'edit_theme_options',
        'theme_supports' => '',
        'title' => __( 'Gallery', 'newshopping' ),
        'description' =>__( 'Make default setting for page, general', 'newshopping' ),
    ) );

    /**
     * Layout Setting
     */
    $wp_customize->add_section( 'gallery_layout_settings', array(
        'priority' => 1,
        'capability' => 'edit_theme_options',
        'theme_supports' => '',
        'title' => __( 'Layout Setting', 'newshopping' ),
        'description' => '',
        'panel' => 'panel_gallery',
    ) );

     ///  Archive layout setting
    $wp_customize->add_setting( 'pbr_theme_options[gallery-archive-layout]', array(
        'capability' => 'edit_theme_options',
        'type'       => 'option',
        'default'   => 'mainright',
        'sanitize_callback' => 'sanitize_text_field'
    ) );

    $wp_customize->add_control( new PBR_Layout_DropDown( $wp_customize, 'pbr_theme_options[gallery-archive-layout]', array(
        'settings'  => 'pbr_theme_options[gallery-archive-layout]',
        'label'     => __('Archive Layout', 'newshopping'),
        'section'   => 'gallery_layout_settings',
        'priority' => 1

    ) ) );

   
    $wp_customize->add_setting( 'pbr_theme_options[gallery-archive-left-sidebar]', array(
        'capability' => 'edit_theme_options',
        'type'       => 'option',
        'default'   => 'gallery-sidebar-left',
        'sanitize_callback' => 'sanitize_text_field'
    ) );

    
    $wp_customize->add_control( new PBR_Sidebar_DropDown( $wp_customize, 'pbr_theme_options[gallery-archive-left-sidebar]', array(
        'settings'  => 'pbr_theme_options[gallery-archive-left-sidebar]',
        'label'     => __('Archive Left Sidebar', 'newshopping'),
        'section'   => 'gallery_layout_settings' ,
         'priority' => 2
    ) ) );

     /// 
    $wp_customize->add_setting( 'pbr_theme_options[gallery-archive-right-sidebar]', array(
        'capability' => 'edit_theme_options',
        'type'       => 'option',
        'default'   => 'gallery-sidebar-right',
        'sanitize_callback' => 'sanitize_text_field'
    ) );

    $wp_customize->add_control( new PBR_Sidebar_DropDown( $wp_customize, 'pbr_theme_options[gallery-archive-right-sidebar]', array(
        'settings'  => 'pbr_theme_options[gallery-archive-right-sidebar]',
        'label'     => __('Archive Right Sidebar', 'newshopping'),
        'section'   => 'gallery_layout_settings',
         'priority' => 2 
    ) ) );

     ///  single layout setting
    $wp_customize->add_setting( 'pbr_theme_options[gallery-single-layout]', array(
        'capability' => 'edit_theme_options',
        'type'       => 'option',
        'default'   => 'mainright',
        'sanitize_callback' => 'sanitize_text_field'
    ) );

    $wp_customize->add_control( new PBR_Layout_DropDown( $wp_customize,  'pbr_theme_options[gallery-single-layout]', array(
        'settings'  => 'pbr_theme_options[gallery-single-layout]',
        'label'     => __('Single Blog Layout', 'newshopping'),
        'section'   => 'gallery_layout_settings' 
    ) ) );

   
    $wp_customize->add_setting( 'pbr_theme_options[gallery-single-left-sidebar]', array(
        'capability' => 'edit_theme_options',
        'type'       => 'option',
        'default'   => 'gallery-sidebar-left',
        'sanitize_callback' => 'sanitize_text_field'
    ) );

    $wp_customize->add_control( new PBR_Sidebar_DropDown( $wp_customize,  'pbr_theme_options[gallery-single-left-sidebar]', array(
        'settings'  => 'pbr_theme_options[gallery-single-left-sidebar]',
        'label'     => __('Single gallery Left Sidebar', 'newshopping'),
        'section'   => 'gallery_layout_settings' 
    ) ) );

     $wp_customize->add_setting( 'pbr_theme_options[gallery-single-right-sidebar]', array(
        'capability' => 'edit_theme_options',
        'type'       => 'option',
        'default'   => 'gallery-sidebar-right',
        'sanitize_callback' => 'sanitize_text_field'
    ) );

    $wp_customize->add_control( new PBR_Sidebar_DropDown( $wp_customize,  'pbr_theme_options[gallery-single-right-sidebar]', array(
        'settings'  => 'pbr_theme_options[gallery-single-right-sidebar]',
        'label'     => __('Single gallery Right Sidebar', 'newshopping'),
        'section'   => 'gallery_layout_settings' 
    ) ) );

    /**
     * Archive Setting
     */
    $wp_customize->add_section( 'gallery_archive_general_settings', array(
        'priority' => 11,
        'capability' => 'edit_theme_options',
        'theme_supports' => '',
        'title' => __( 'Archive Setting', 'newshopping' ),
        'description' => '',
        'panel' => 'panel_gallery',
    ) );

     $wp_customize->add_setting('pbr_theme_options[gallery-archive-column]', array(
        'capability' => 'edit_theme_options',
        'type'       => 'option',
        'default'   => '4',
        'sanitize_callback' => 'sanitize_text_field'
    ) );

    $wp_customize->add_control( 'pbr_theme_options[gallery-archive-column]', array(
        'label'      => __( 'Select column', 'newshopping' ),
        'section'    => 'gallery_archive_general_settings',
        'type'       => 'select',
        'choices'     => array(
            '2' => __('2 column', 'newshopping' ),
            '3' => __('3 column', 'newshopping' ),
            '4' => __('4 column', 'newshopping' ),
            '6' => __('6 column', 'newshopping' ),
        )
    ) ); 
}
