<?php
 
add_action( 'customize_register', 'newshopping_pbr_cst_customizer' );

function newshopping_pbr_cst_customizer($wp_customize){

    # General Settings
    // Panel Header
    $wp_customize->add_section('pbr_cst_general_settings', array(
        'title'      => __('General Settings', 'newshopping'),
        'description'    => __('Website General Settings', 'newshopping'),
        'transport'  => 'postMessage',
        'priority'   => 10,
    ));

    // Parameter Options
    $wp_customize->add_setting('blogname', array( 
        'default'    => get_option('blogname'),
        'type'       => 'option',
        'capability' => 'manage_options',
        'transport'  => 'postMessage',
        'sanitize_callback' => 'sanitize_text_field'
    ) );

    $wp_customize->add_control('blogname', array( 
        'label'    => __('Site Title', 'newshopping'),
        'section'  => 'pbr_cst_general_settings',
        'priority' => 1,
    ) );
    
    //
    $wp_customize->add_setting('blogdescription', array( 
        'default'    => get_option('blogdescription'),
        'type'       => 'option',
        'capability' => 'manage_options',
        'transport'  => 'postMessage',
        'sanitize_callback' => 'sanitize_text_field'
    ) );
    
    $wp_customize->add_control('blogdescription', array( 
        'label'    => __('Tagline', 'newshopping'),
        'section'  => 'pbr_cst_general_settings',
        'priority' => 2,
    ) );

    if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) {
        //
        $wp_customize->add_setting('pbr_theme_options[favicon]', array(
            'default'    => '',
            'type'       => 'option',
            'capability' => 'manage_options',
            'sanitize_callback' => 'esc_url_raw',
        ) );
    }
        
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'pbr_theme_options[favicon]', array(
        'label'    => __('Favicon', 'newshopping'),
        'section'  => 'pbr_cst_general_settings',
        'settings' => 'pbr_theme_options[favicon]',
        'priority' => 5,
    ) ) );


    // 
    $wp_customize->add_setting('display_header_text', array( 
        'default'    => 1,
        'type'       => 'option',
        'capability' => 'manage_options',
        'transport'  => 'postMessage',
        'sanitize_callback' => 'sanitize_text_field'
    ) );    
    $wp_customize->add_control( 'display_header_text', array(
        'settings' => 'header_textcolor',
        'label'    => __( 'Show Title & Tagline', 'newshopping' ),
        'section'  => 'pbr_cst_general_settings',
        'type'     => 'checkbox',
        'priority' => 4,
    ) );


    /* 
     * Custom Logo 
     */
     $wp_customize->add_setting('pbr_theme_options[logo]', array(
        'default'    => '',
        'type'       => 'option',
        'capability' => 'manage_options',
        'sanitize_callback' => 'esc_url_raw',
    ) );

    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'pbr_theme_options[logo]', array(
        'label'    => __('Logo', 'newshopping'),
        'section'  => 'pbr_cst_general_settings',
        'settings' => 'pbr_theme_options[logo]',
        'priority' => 10,
    ) ) );
    
     /* 
     * Custom payment 
     */
     $wp_customize->add_setting('pbr_theme_options[image-payment]', array(
        'default'    => '',
        'type'       => 'option',
        'capability' => 'manage_options',
        'sanitize_callback' => 'esc_url_raw',
    ) );

    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'pbr_theme_options[image-payment]', array(
        'label'    => __('Payment Logo', 'newshopping'),
        'section'  => 'pbr_cst_general_settings',
        'settings' => 'pbr_theme_options[image-payment]',
        'priority' => 11,
    ) ) );

    //
    $wp_customize->add_setting( 'pbr_theme_options[preloader]', array(
        'type'       => 'option',
        'capability' => 'manage_options',
        'default'  => 'default',
         'sanitize_callback' => 'sanitize_text_field'
    ) );

    $wp_customize->add_control( 'pbr_theme_options[preloader]', array(
        'label'      => __( 'Enable Preloader', 'newshopping' ),
        'section'    => 'pbr_cst_general_settings',
        'type'       => 'select',
        'choices'    => array('1'=> 'Enable', '0'=>'Disable'),
        'default'    => '0'
    ) );

      /* 
     * Custom preloader 
     */
     $wp_customize->add_setting('pbr_theme_options[image-preloader]', array(
        'default'    => '',
        'type'       => 'option',
        'capability' => 'manage_options',
        'sanitize_callback' => 'esc_url_raw',
    ) );

    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'pbr_theme_options[image-preloader]', array(
        'label'    => __('Preloader Logo', 'newshopping'),
        'section'  => 'pbr_cst_general_settings',
        'settings' => 'pbr_theme_options[image-preloader]',
        'priority' => 11,
    ) ) );

    //
    $wp_customize->add_setting('pbr_theme_options[copyright_text]', array(
        'default'    => 'Copyright 2015 - Mixtheme - All Rights Reserved.',
        'type'       => 'option',
        'transport'=>'refresh',
         'sanitize_callback' => 'pbr_sanitize_textarea',
    ) );

    $wp_customize->add_control( new PBRTextAreaControl( $wp_customize, 'pbr_theme_options[copyright_text]', array(
        'label'    => __('Copyright text', 'newshopping'),
        'section'  => 'pbr_cst_general_settings',
        'settings' => 'pbr_theme_options[copyright_text]',
        'priority' => 12,
    ) ) );


    function pbr_sanitize_textarea( $content ){
        return wp_kses_post( force_balance_tags( $content ) );
    }
   /***************************************************************************
    * Theme Settings 
    ***************************************************************************/

  
   /**
     * General Setting
     */
    $wp_customize->add_section( 'ts_general_settings', array(
        'priority' => 12,
        'capability' => 'edit_theme_options',
        'theme_supports' => '',
        'title' => __( 'Themes And Layouts Setting', 'newshopping' ),
        'description' => '',
    ) );

    //
    $wp_customize->add_setting( 'pbr_theme_options[skin]', array(
        'type'       => 'option',
        'capability' => 'manage_options',
        'default'  => 'default',
         'sanitize_callback' => 'sanitize_text_field'
    ) );

    $wp_customize->add_control( 'pbr_theme_options[skin]', array(
        'label'      => __( 'Default Theme', 'newshopping' ),
        'section'    => 'ts_general_settings',
        'type'    => 'select',
        'choices'    => newshopping_pbr_cst_skins(),
    ) );

     $wp_customize->add_setting( 'pbr_theme_options[headerlayout]', array(
        'type'       => 'option',
        'capability' => 'manage_options',
        'default'  => '',
        'sanitize_callback' => 'sanitize_text_field'
    ) );

    $wp_customize->add_control( 'pbr_theme_options[headerlayout]', array(
        'label'      => __( 'Header Layout Style', 'newshopping' ),
        'section'    => 'ts_general_settings',
        'type'    => 'select',
      //  'choices' => array(''=>'Default'), 
         'choices'    => newshopping_pbr_cst_headerlayouts(),
    ) );

    $wp_customize->add_setting( 'pbr_theme_options[footer-style]', array(
        'type'           => 'option',
        'capability'     => 'manage_options',
        'default'        => 'default'   ,
        'sanitize_callback' => 'sanitize_text_field'
        //  'theme_supports' => 'static-front-page',
    ) );
    
     $wp_customize->add_control( 'pbr_theme_options[footer-style]', array(
        'label'      => __( 'Footer Styles Builder', 'newshopping' ),
        'section'    => 'ts_general_settings',
        'type'       => 'select',
        'choices'    => newshopping_get_footerbuilder_profiles()
    ) );
     
    //if( defined("PBR_CTS_STYLE_PATH") ){
         $wp_customize->add_setting( 'pbr_theme_options[customize-theme]', array(
            'type'       => 'option',
            'capability' => 'manage_options',
            'default'  => '',
	       'sanitize_callback' => 'sanitize_text_field'
        ) );

        $wp_customize->add_control(  new Newshopping_CustomizeProfile_DropDown( $wp_customize, 'pbr_theme_options[customize-theme]', array(
            'label'      => __( 'Custom Theme Profile', 'newshopping' ),
            'section'    => 'ts_general_settings'
        ) ) );
     //}


    /******************************************************************
     * Social share
     ******************************************************************/
    $wp_customize->add_section( 'social_share_settings', array(
        'priority' => 50,
        'capability' => 'edit_theme_options',
        'theme_supports' => '',
        'title' => __( 'Social Share setting', 'newshopping' ),
        'description' => '',
    ) );

    // Share facebook
    pbr_social_config( $wp_customize, 'facebook_share_blog', __('Share facebook ', 'newshopping'), 'social_share_settings');
    //share twitter
    pbr_social_config( $wp_customize, 'twitter_share_blog', __('Share twitter ', 'newshopping'), 'social_share_settings');
    //share linkedin
    pbr_social_config( $wp_customize, 'linkedin_share_blog', __('Share linkedin ', 'newshopping'), 'social_share_settings');
    //share tumblr
    pbr_social_config( $wp_customize, 'tumblr_share_blog', __('Share tumblr ', 'newshopping'), 'social_share_settings');
    //share google plus
    pbr_social_config( $wp_customize, 'google_share_blog', __('Share google plus ', 'newshopping'), 'social_share_settings');
    //share pinterest
    pbr_social_config( $wp_customize, 'pinterest_share_blog', __('Share pinterest ', 'newshopping'), 'social_share_settings');
    //share mail
    pbr_social_config( $wp_customize, 'mail_share_blog', __('Share mail ', 'newshopping'), 'social_share_settings');


    /******************************************************************
     * Navigation
     ******************************************************************/

     # Sticky Top Bar Option
    $wp_customize->add_setting('pbr_theme_options[verticalmenu]', array(
        'capability' => 'edit_theme_options',
        'type'       => 'option',
        'sanitize_callback' => 'sanitize_text_field'
    ) );

    $wp_customize->add_control('pbr_theme_options[verticalmenu]', array(
        'settings'  => 'pbr_theme_options[verticalmenu]',
        'label'     => __('Vertical Megamenu', 'newshopping'),
        'section'   => 'nav',
        'type'      => 'select',
        'choices' => newshopping_pbr_get_menugroups(),
    ) );
    


    # Sticky Top Bar Option
    $wp_customize->add_setting('pbr_theme_options[megamenu-is-sticky]', array(
        'capability' => 'edit_theme_options',
        'type'       => 'option',
        'sanitize_callback' => 'sanitize_text_field'
    ) );

    $wp_customize->add_control('pbr_theme_options[megamenu-is-sticky]', array(
        'settings'  => 'pbr_theme_options[megamenu-is-sticky]',
        'label'     => __('Sticky Top Bar', 'newshopping'),
        'section'   => 'nav',
        'type'      => 'checkbox',
        'transport' => 4,
    ) );
    
    $wp_customize->add_setting( 'pbr_theme_options[magemenu-animation]', array(
        'type'       => 'option',
        'capability' => 'manage_options',
        'default'  => '',
        'sanitize_callback' => 'sanitize_text_field'
    ) );

    $wp_customize->add_control( 'pbr_theme_options[magemenu-animation]', array(
        'label'      => __( 'Megamenu Animation', 'newshopping' ),
        'section'    => 'nav',
        'type'    => 'select',
        'choices'    => newshopping_pbr_get_menuanimation(),
    ) );

    $wp_customize->add_setting( 'pbr_theme_options[megamenu-duration]', array(
        'type'       => 'option',
        'capability' => 'manage_options',
        'default'  => '300',
        'sanitize_callback' => 'sanitize_text_field'
    ) );

    $wp_customize->add_control( 'pbr_theme_options[megamenu-duration]', array(
        'label'      => __(  'Megamenu Duration', 'newshopping' ),
        'section'    => 'nav',
        'type'    => 'text'
    ) );



    /*****************************************************************
     * Front Page Settings Panel
     *****************************************************************/   
    $wp_customize->add_section( 'static_front_page', array(
        'title'          => __( 'Front Page Settings', 'newshopping' ),
        'priority'       => 120,
        'description'    => __( 'Your theme supports a static front page.', 'newshopping'),
    ) );

    $wp_customize->add_setting( 'pbr_theme_options[sidebar_position]', array(
        'default' => 'left',
        'capability'     => 'edit_theme_options',
        'type'           => 'option',
        'sanitize_callback' => 'sanitize_text_field'
    ) );
 
    $wp_customize->add_control( 'pbr_theme_options[sidebar_position]', array(
        'type' => 'radio',
        'label' => 'Sidebar Position',
        'section' => 'static_front_page',
        'priority' => 1,
        'choices' => array(
            'left' => 'Left',
            'right' => 'Right',
        ),
    ) );

    $wp_customize->add_setting( 'show_on_front', array(
        'default'        => get_option( 'show_on_front' ),
        'capability'     => 'manage_options',
        'type'           => 'option',
        //  'theme_supports' => 'static-front-page',
        'sanitize_callback' => 'sanitize_text_field'
    ) );

    $wp_customize->add_control( 'show_on_front', array(
        'label'   => __( 'Front page displays', 'newshopping' ),
        'section' => 'static_front_page',
        'type'    => 'radio',
        'choices' => array(
            'posts' => __( 'Your latest posts', 'newshopping' ),
            'page'  => __( 'A static page', 'newshopping' ),
        ),
    ) );
    
    $wp_customize->add_setting( 'page_on_front', array(
        'type'       => 'option',
        'capability' => 'manage_options',
        'sanitize_callback' => 'sanitize_text_field'
    ) );

    $wp_customize->add_control( 'page_on_front', array(
        'label'      => __( 'Front page', 'newshopping' ),
        'section'    => 'static_front_page',
        'type'       => 'dropdown-pages',
    ) );

    $wp_customize->add_setting( 'page_for_posts', array(
        'type'           => 'option',
        'capability'     => 'manage_options',
        //  'theme_supports' => 'static-front-page',
        'sanitize_callback' => 'sanitize_text_field'
    ) );

    $wp_customize->add_control( 'page_for_posts', array(
        'label'      => __( 'Posts page', 'newshopping' ),
        'section'    => 'static_front_page',
        'type'       => 'dropdown-pages',
    ) );


    /* 
     /*****************************************************************
     * Front Page Settings Panel
     *****************************************************************/   
    $wp_customize->add_section( 'pages_setting', array(
        'title'          => __( 'Pages Settings', 'newshopping' ),
        'priority'       => 120,
        'description'    => __( 'Your theme supports a static front page.', 'newshopping'),
    ) );

     
    $wp_customize->add_setting( 'pbr_theme_options[404_post]', array(
        'type'           => 'option',
        'capability'     => 'manage_options',
        'default'        => ''   ,
        'sanitize_callback' => 'sanitize_text_field'
        //  'theme_supports' => 'static-front-page',
    ) );
    
     $wp_customize->add_control( 'pbr_theme_options[404_post]', array(
        'label'      => __( '404 Page', 'newshopping' ),
        'section'    => 'pages_setting',
        'type'       => 'dropdown-pages',
    ) );

     // 
}

function pbr_social_config( $wp_customize, $id, $name_social, $section){
    $wp_customize->add_setting('pbr_theme_options['.$id.']', array(
        'capability' => 'edit_theme_options',
        'type'       => 'option',
        'default'   => 1,
        'checked' => 1,
        'sanitize_callback' => 'sanitize_text_field'
    ) );

    $wp_customize->add_control('pbr_theme_options['.$id.']', array(
        'settings'  => 'pbr_theme_options['.$id.']',
        'label'     => $name_social,
        'section'   => $section,
        'type'      => 'checkbox',
        'transport' => 4,
    ) );
}