<?php 
/**
 * Theme function
 *
 * @version    $Id$
 * @package    wpbase
 * @author     bigtheme Team <bigtheme@gmail.com, support@bigtheme.ir>
 * @copyright  Copyright (C) 2015 bigtheme.ir. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * @website  http://www.bigtheme.ir
 * @support  http://www.bigtheme.ir
 */
	
	/**
	 * Functioning OF Template
	 */
	function newshopping_pbr_header_style(){
	    $text_color = get_header_textcolor();
	    return ;
	}

	// This theme allows users to set a custom background.
	add_theme_support( 'custom-background', apply_filters( 'pbr_custom_background_args', array(
	    'default-color' => 'f5f5f5',
	  ) ) );

	function newshopping_pbr_custom_header_setup() {
		  add_theme_support( 'custom-header', apply_filters( 'pbr_custom_header_args', array(
		    'default-text-color'     => 'fff',
		    'width'                  => 1920,
		    'height'                 => 90,
		    'flex-height'            => true,
		    'wp-head-callback'       => 'newshopping_pbr_header_style',
		    'admin-head-callback'    => 'pbr_admin_header_style',
		    'admin-preview-callback' => 'pbr_admin_header_image',
		  ) ) );
	}

	add_action( 'after_setup_theme', 'newshopping_pbr_custom_header_setup' );


	/**
	 * Add Custom Class To Body Tag
	 */
	add_filter('body_class', 'newshopping_pbr_body_class');
	
	function newshopping_pbr_body_class( $classes ){
		foreach ( $classes as $key => $value ) {
		
		if ( $value == 'boxed' || $value == 'default' ) 
			unset( $classes[$key] );
		}
		
		$classes[] = newshopping_pbr_theme_options('configlayout');
		$classes[] = 'pbr-animate-scroll';

		return $classes;
	}

	/**
	 *
	 */
	function newshopping_pbr_render_breadcrumbs_heading_tag( $tag ){
		if( ! is_single() ){
			return 'h1';
		}
		return $tag;
	}

	add_filter( 'newshopping_pbr_render_breadcrumbs_heading_tag', 'newshopping_pbr_render_breadcrumbs_heading_tag' );
	/**
	 * Customize Breadcrumd with Background Color Or Background Images
	 */
	function pbr_layout_breadcrumbs_bg(){
		$customize_image = get_header_image();
		if( isset($newshopping_pbrpconfig['background_breadcrumb']) && $newshopping_pbrpconfig['background_breadcrumb'] ){
			switch ( $newshopping_pbrpconfig['background_breadcrumb']) {
				case 'bg_image':
					$style = 'background-image: url('.esc_url_raw( $newshopping_pbrpconfig['image_breadcrumb'] ).');';
					break;
				
				case 'bg_color':
					$style = 'background-color:'.esc_attr( $newshopping_pbrpconfig['bg_color'] );
					break;

				case 'global':
					if( $customize_image  ){
						$style = "background: url('".esc_url_raw( $customize_image )."') no-repeat center center #f9f9f9";
						break;
					}
				default:
					$style="background: url('".get_template_directory_uri()."/images/breadcrumb.jpg') no-repeat center center #f9f9f9";
					break;
			}
		}elseif( isset( $customize_image) && !empty( $customize_image)) {
					$style="background: url('".esc_url_raw( $customize_image )."') no-repeat center center #f9f9f9";
		}else{
			$style="background: none #fff";
		}
		return $style;
	}

	/**
	 * Hooks to render BreadCrumb
	 */
	function newshopping_pbr_layout_breadcrumbs_render(){
		global $newshopping_pbrpconfig;
		if( is_front_page() ){
			return ;
		}
		$style = pbr_layout_breadcrumbs_bg();
?>
	    <div class="pbr-breadcrumbs" style="<?php echo ($style);?>">
	        <?php newshopping_pbr_breadcrumb(); ?>
	    </div>
 	<?php 
	}

	add_action( 'newshopping_pbr_layout_breadcrumbs_render', 'newshopping_pbr_layout_breadcrumbs_render' );

	/**
	 * Hook To Renderr With Layout Having Configed Layout as left-right, or fullwidth 
	 * With Open Tags
	 */
	function newshopping_pbr_layout_template_before(){
		global $newshopping_pbrpconfig; 
	?>
		
		<section id="pbr-mainbody" class="pbr-mainbody default-template clearfix">
	  		<div class="container<?php if( isset($newshopping_pbrpconfig['layout'])&&$newshopping_pbrpconfig['layout']=='fullwidth') { ?>-fuild<?php } ?>">
	      	<div class="container-inner">
	        		<div class="row">
	          		<?php get_sidebar( 'left' );  ?>
			        <!-- MAIN CONTENT -->
			        <div id="pbr-content" class="<?php echo esc_attr( $newshopping_pbrpconfig['main']['class'] ); ?>">
			            <div class="pbr-content">

	<?php }  
	add_action( 'newshopping_pbr_layout_template_before', 'newshopping_pbr_layout_template_before' );

	/**
	 * Hook To Renderr With Layout Having Configed Layout as left-right, or fullwidth 
	 * With Close Tags
	 */
	function newshopping_pbr_layout_template_after(){
		global $newshopping_pbrpconfig; 
	?>	
				         	</div>
			            </div>
			          <!-- //MAIN CONTENT -->
			          <?php get_sidebar( 'right' );  ?>
			         </div>
			   </div>
		   </div>
		</section>

	<?php }
	add_action( 'newshopping_pbr_layout_template_after', 'newshopping_pbr_layout_template_after' );
?>