<?php

/**
 * $Desc
 *
 * @version    $Id$
 * @package    wpbase
 * @author     bigtheme Team <bigtheme@gmail.com, support@bigtheme.ir>
 * @copyright  Copyright (C) 2015 bigtheme.ir. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * @website  http://www.bigtheme.ir
 * @support  http://www.bigtheme.ir
 */
if(!class_exists('PBR_Shortcodes')){
	
class PBR_Shortcodes{

	protected $shortcodes = array();

	public static function getInstance(){
		static $_instance;
		if( !$_instance ){
			$_instance = new PBR_Shortcodes();
		}
		return $_instance;
	}

	public function loadShortcodes(){
		$path = PBR_FRAMEWORK_SHORTCODE;
		$files = glob( PBR_FRAMEWORK_SHORTCODE.'*.php' );

		foreach( $files as $file ){
			require_once( $file );
			$tmp = str_replace( ".php", "", basename($file) );
			$class = 'newshopping_pbr_shortcode_'.ucfirst($tmp);

			if( class_exists($class) ){
				$this->shortcodes[$tmp] = new $class;
			}
		}
	}

	public function getButtons( $filter='menu' ){
		if( !$this->shortcodes ){
			$this->loadShortcodes();
		}
		$output = array();
		foreach( $this->shortcodes as $shortcode  ){

			if( $shortcode->isExcludedMenu() && $filter=='menu' ){
				continue;
			}
			$output[] = $shortcode->getButton();
		}
		return $output;
	}

	public function getShortcode( $type ){
		if(  isset($this->shortcodes[$type]) ){
			return $this->shortcodes[$type];
		}else {
			$file = ( PBR_FRAMEWORK_SHORTCODE.$type.'.php' );
			if( file_exists($file) ){

				require_once( $file );
				$class = 'Newshopping_PBR_Shortcode_'.trim(ucfirst($type));
				$tmp = str_replace( ".php", "", basename($file) );
				if( class_exists($class) ){
					$this->shortcodes[$tmp] = new $class;
					return $this->shortcodes[$tmp];
				}
			}
		}
 		return null;
	}

	public function getButtonByType( $type, $data=array() ){

		if( $s=$this->getShortcode($type) ){

			$button =  ($s->getButton( $data ));

			return '
				<div class="pbr-shorcode-button btn btn-default">
					<div class="pbr-icon pbr-icon-content"></div>
					<div class="content">
						<h5 class="shortcode-title">'.$button['title'].'<br>(<span>'.$data->name.'</span>)</h5>
						<em class="desc">'.$button['desc'].'</em>
					</div>
				</div>
			';
		}
		return __( 'No button for this','newshopping' );
	}

	public function getLayout( $tpl ){

	}

	public function renderContent($type, $data ){
		if( $s=$this->getShortcode($type) ){
			return $s->render( $data );
		}
		return __( 'No data for this','newshopping' );
	}
}
}
?>