<?php
/**
 * $Desc
 *
 * @version    $Id$
 * @package    wpbase
 * @author     bigtheme Team <bigtheme@gmail.com, support@bigtheme.ir>
 * @copyright  Copyright (C) 2015 bigtheme.ir. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * @website  http://www.bigtheme.ir
 * @support  http://www.bigtheme.ir
 */
if(class_exists('WooCommerce')){
	class Newshopping_PBR_Shortcode_Products extends Newshopping_PBR_Shortcode_Base{

		public function __construct( ){
			// add hook to convert shortcode to html.
			$this->name = str_replace( 'newshopping_pbr_shortcode_','',strtolower( __CLASS__ ) );
			$this->key = 'pbr_'.$this->name;
			parent::__construct( );
		}

		/**
		 * $data format is object field of megamenu_widget record.
		 */
		public function getButton( $data=null ){
			$button = array(
				'icon'	 => 'image',
				'title' => __( 'Products','newshopping' ),
				'desc'  => __( 'Display Products','newshopping' ),
				'name'  => $this->name
			);

			return $button;
		}

		public function getOptions( ){
			$this->options[] = array(
				"type" => "text",
				"label" => __("Title", 'newshopping'),
				"id" => "title",
				"default" => ''
			);
			
		    $this->options[] = array(
		        'label' 	=> __('Type','newshopping'),
		        'id' 		=> 'type',
		        'type' 		=> 'select',
		        'options'   => array(
		        		'top_rate' => 'Top Rate',
		        		'recent_product' => 'Recent Products',
		        		'featured_product' => 'Featured Products',
		        		'best_selling' => 'پرفروش ها'
		        	)
	        );

	        $this->options[] = array(
		        'label' 	=> __('Layout','newshopping'),
		        'id' 		=> 'layout',
		        'type' 		=> 'select',
		        'options'   => array('grid'=>'Grid', 'list'=>'List')
	        );

	        $this->options[] = array(
		        'label' 	=> __('Columns count','newshopping'),
		        'id' 		=> 'columns_count',
		        'type' 		=> 'select',
		        'options'   => array('4'=>4, '3'=>3, '2'=>2, '1'=>1)
	        );
	        $this->options[] = array(
				"type" => "text",
				"label" => __("Number of products to show", 'newshopping'),
				"id" => "number",
			);
		}
	}
}