<?php
/**
 * $Desc
 *
 * @version    $Id$
 * @package    wpbase
 * @author     bigtheme Team <bigtheme@gmail.com, support@bigtheme.ir>
 * @copyright  Copyright (C) 2015 bigtheme.ir. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * @website  http://www.bigtheme.ir
 * @support  http://www.bigtheme.ir
 */

class Newshopping_PBR_Shortcode_Submenu extends Newshopping_PBR_Shortcode_Base{

		public function __construct( ){
			// add hook to convert shortcode to html.
			$this->name = str_replace( 'newshopping_pbr_shortcode_','',strtolower( __CLASS__ ) );
			$this->key = 'pbr_'.$this->name;

			add_shortcode( $this->key  ,  array($this,'render') );

			parent::__construct( );
		}

		/**
		 * $data format is object field of megamenu_widget record.
		 */
		public function getButton( $data=null ){
			$button = array(
				'icon'	 => 'content',
				'title' => __( 'Sub Menu','newshopping' ),
				'desc'  => __( 'List Of sub menus', 'newshopping' ),
				'name'  => $this->name
			);
			return $button;
		}

		public function getOptions( ){
		    $this->options[] = array(
		        'label' 	=> __('Title', 'newshopping'),
		        'id' 		=> 'title',
		        'type' 		=> 'input',
		        'explain'	=> __( 'Put Title Here', 'newshopping' ),
		        'default'	=> '',
		        'hint'		=> '',
	        );

	        $menus = wp_get_nav_menus( array( 'orderby' => 'name' ) );
	        $option = array();
	        foreach ($menus as $menu) {
	        	$option[$menu->term_id]=$menu->name;
	        }

	        $this->options[] = array(
		        'label' 	=> __('Menu', 'newshopping'),
		        'id' 		=> 'menu',
		        'type' 		=> 'select',
		        'explain'	=> __( 'Select Menu', 'newshopping' ),
		        'default'	=> '',
		        'options' 	=> $option,
		        'hint'		=> '',
	        );

	        $this->options[] = array(
		        'label' 	=> __('Addition Class', 'newshopping'),
		        'id' 		=> 'class',
		        'type' 		=> 'input',
		        'explain'	=> __( 'Using to make own style', 'newshopping' ),
		        'default'	=> '',
		        'hint'		=> '',
	        );
		}
	}
?>