<?php
/**
 * $Desc
 *
 * @version    $Id$
 * @package    wpbase
 * @author     bigtheme Team <bigtheme@gmail.com, support@bigtheme.ir>
 * @copyright  Copyright (C) 2015 bigtheme.ir. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * @website  http://www.bigtheme.ir
 * @support  http://www.bigtheme.ir
 */

global $newshopping_pbrpconfig;
$newshopping_pbrpconfig = Newshopping_TemplateFront::getPostConfig();

?>

<?php get_header( newshopping_pbr_theme_options('headerlayout', '') );  ?>
      
<?php do_action( 'newshopping_pbr_layout_breadcrumbs_render' ); ?>  

<?php do_action( 'newshopping_pbr_layout_template_before' ) ; ?>
    
        <div class="post-area single-blog">
            <?php  while(have_posts()): the_post(); ?>
            <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                <div class="entry-thumb">
                    <?php get_template_part( 'templates/content/content', get_post_format() ); ?> 
                </div>    

            
                    <div class="post-container">
                                        <div class="entry-header">
                        <?php if( newshopping_pbr_theme_options('blog_show-title', true) ){ ?>   
                            <div class="entry-name">
                                <h1 class="entry-title"> <?php the_title(); ?> </h1>
                            </div>    
                        <?php } ?>
                            
                            <div class="entry-meta">
                                <?php newshoping_pbr_posted_on(); ?>
                                <?php if ( ! post_password_required() && ( comments_open() || get_comments_number() ) ) : ?>
                                                <span class="comments-link"><i class="fa fa-comments-o"></i><?php comments_popup_link( __( 'Leave a comment', 'newshopping' ), __( '1 Comment', 'newshopping' ), __( '% Comments', 'newshopping' ) ); ?></span>
                               
                                <?php endif; ?>

                                                <?php edit_post_link( __( 'Edit', 'newshopping' ), '<span class="edit-link"><i class="fa fa-edit"></i>', '</span>' ); ?>
                            </div><!-- .entry-meta -->
                                        </div><!-- .entry-header -->

                        <div class="entry-content">
                            <?php
                                the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'newshopping' ) );
                                wp_link_pages( array(
                                    'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'newshopping' ) . '</span>',
                                    'after'       => '</div>',
                                    'link_before' => '<span>',
                                    'link_after'  => '</span>',
                                ) );
                            ?>
                        </div><!-- .entry-content -->
                        
                     </div>
    
                <?php the_tags( '<div class="tag-links"><i class="fa fa-tag"></i><span>'. __('Tags: ', 'newshopping').'</span>', ', ', '</div>' ); ?>
                <?php if( newshopping_pbr_theme_options('show-share-post', true) ){ ?>
                    <div class="post-share">
                        <span class="title-post-share pull-left">
                            <i class="fa fa-share-square-o"></i><?php esc_html_e( 'Share this Post!','newshopping' ); ?>
                        </span>
                            <?php newshopping_pbr_share_box(); ?>
                    </div>
                <?php } ?>
                    <div class="author-about">
                        <?php get_template_part('templates/elements/author-bio'); ?>
                    </div>
                <?php comments_template(); ?>
                <div class="related-posts"> <?php if( newshopping_pbr_theme_options('show-related-post', true) ){
                    $relate_count = newshopping_pbr_theme_options('blog-items-show', 3);

                    newshoping_pbr_related_post($relate_count, 'post', 'category');
                } ?>
                </div>
            </article>    
           <?php endwhile; ?>
        </div>
  
             
<?php do_action( 'newshopping_pbr_layout_template_after' ) ; ?>

<?php get_footer(); ?>