<?php
/**
 * $Desc
 *
 * @version    $Id$
 * @package    wpbase
 * @author     bigtheme Team <bigtheme@gmail.com, support@bigtheme.ir>
 * @copyright  Copyright (C) 2015 bigtheme.ir. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * @website  http://www.bigtheme.ir
 * @support  http://www.bigtheme.ir
 */
global $newshopping_pbrpconfig;
$postformat = get_post_format();
$icon = '';
switch ($postformat) {
    case 'link':
        $icon = 'fa-link';
        break;
    case 'gallery':
        $icon = 'fa-th-large';
        break;
    case 'audio':
        $icon = 'fa-music';
        break;
    case 'video':
        $icon = 'fa-film';
        break;
    case 'image':
        $icon = 'fa-picture-o';
        break;
    case 'chat':
        $icon = 'fa-weixin';
        break;
    case 'quote':
        $icon = 'fa-quote-left';
        break;
}

wp_enqueue_script( 'pbr_isotope_js', PBR_THEME_URI.'/js/isotope.pkgd.min.js', array( 'jquery' ) );

?>
<article id="post-<?php the_ID(); ?>" class="blog-masonry-item">
        <?php if ( is_sticky() && is_home() && ! is_paged() ) : ?>
            <div class="featured-post">
                <?php _e( 'Featured Post', 'newshopping' ); ?>
            </div>
        <?php endif; ?>
        <div class="post-container clearfix">


            <div class="blog-post-detail  blog-post-grid">
                    <?php if ( has_post_thumbnail() ) {
                        if(!empty($icon)){ ?>
                    <div class="blog-post-icon">
                        <i class="fa <?php echo esc_attr( $icon ); ?>"></i>
                    </div>

                <?php } } ?>
                <?php 
                    if(has_post_format($postformat)){
                        get_template_part( 'templates/content/content', $postformat );
                    }
                 ?>
                <div class="information-post">
                    <h3 class="entry-title">
                        <a href="<?php the_permalink(); ?>">
                            <?php the_title(); ?>
                        </a>
                    </h3>

                    <div class="entry-meta">
                            <span class="entry-date"><i class="fa fa-calendar-o"></i><?php the_time( 'M d, Y' ); ?></span>
                            <span class="comment-count">
                                <i class="fa fa-comments-o"></i><?php comments_popup_link(__(' 0 comment', 'newshopping'), __(' 1 comment', 'newshopping'), __(' % comments', 'newshopping')); ?>
                            </span>
                            <span class="author-link"><i class="fa fa-user"></i><?php the_author_posts_link(); ?></span>
                            <?php if(is_tag()): ?>
                                <span class="tag-link"><i class="fa fa-tag"></i><?php the_tags('Tags: ',', '); ?></span>
                            <?php endif; ?>
                        </div>

                    <div class="entry-content">
                        <?php echo newshoping_pbr_excerpt(32); ?>
                    </div>
                    <div class="entry-link">
                        <a href="<?php the_permalink(); ?>" class="readmore"><?php esc_html_e( 'Read more','newshopping' ); ?></a>
                    </div>

                </div>
            </div>
        </div>
</article>

