<?php
/**
 * $Desc
 *
 * @version    $Id$
 * @package    wpbase
 * @author     bigtheme Team <bigtheme@gmail.com, support@bigtheme.ir>
 * @copyright  Copyright (C) 2015 bigtheme.ir. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * @website  http://www.bigtheme.ir
 * @support  http://www.bigtheme.ir
 */
wp_enqueue_script( 'pbr_isotope_js', PBR_THEME_URI.'/js/isotope.pkgd.min.js', array( 'jquery' ) );
wp_enqueue_script( 'pbr_prettyPhoto_js', PBR_THEME_URI.'/js/jquery.prettyPhoto.js', array( 'jquery' ) );
wp_enqueue_style( 'pbr_prettyPhoto_css', PBR_THEME_URI.'/css/prettyPhoto.css');

$terms = get_terms('category_portfolio',array('orderby'=>'id'));
global $column, $newshopping_portfolio;

$col = floor(12/$column);
$smcol = ($col > 4)? 6: $col;
$class_column='col-lg-'.$col.' col-md-'.$col.' col-sm-'.$smcol;
$_count =0;

$_id = newshopping_pbr_makeid();

?>

<div class="pbr-portfolio">
<?php if( $newshopping_portfolio->have_posts()): ?>
    <!-- filters category -->
      <div id="filters" class="isotope-filter-wrap">
        <ul class="nav nav-tabs pbr-portfolio-filters isotope-filter" data-related-grid="isotope-<?php echo esc_attr( $_id ); ?>">
          <li>
            <a href="javascript:void(0)" title="" data-filter=".all" class="active">
              <?php _e('All', 'newshopping'); ?>
            </a>
          </li>
      <?php if ( count($terms) > 0 ){
            foreach ( $terms as $term ): ?>
              <li><a href="javascript:void(0)" title="" data-filter=".<?php echo esc_attr( $term->slug ); ?>">
              <?php echo trim( $term->name ); ?>
              </a></li>
        <?php endforeach;
            }
        ?>
        </ul>
      </div>
    <div class="clearfix"></div>
  <div class="isotope-items row" data-isotope-duration="400" id="isotope-<?php echo esc_attr( $_id ); ?>">
  <?php while($newshopping_portfolio->have_posts()): $newshopping_portfolio->the_post();
     $item_classes = 'all ';
     $item_cats = get_the_terms( $newshopping_portfolio->post->ID, 'category_portfolio' );
     foreach((array)$item_cats as $item_cat){
       if(count($item_cat)>0 && $item_cat ){
         $item_classes .= $item_cat->slug . ' ';
        }
      }
$image_attributes = wp_get_attachment_image_src( get_post_thumbnail_id( $newshopping_portfolio->post->ID ), 'blog-thumbnails' );
?>
<div class="col-sm-<?php echo esc_attr( $class_column ); ?> isotope-item col-md-<?php echo esc_attr( $class_column ); ?> col-lg-<?php echo esc_attr( $class_column ); ?> <?php echo esc_attr( $item_classes ); ?>">
    <div class="pbr-portfolio-content thumbnail text-center">
      <div class="ih-item square effect15 left_to_right">
        <a href="<?php the_permalink(); ?>">
          <div class="img">
              <?php if ( has_post_thumbnail()) {
                the_post_thumbnail('blog-thumbnails');
              }?>
          </div>
          <div class="info">
            <h3><?php the_title(); ?></h3>
            <p>
              <?php echo newshoping_pbr_excerpt(20,'...'); ?>
            </p>
          </div>
        </a>
      </div>              
    </div>  
</div>
<?php endwhile; ?>
<?php wp_reset_postdata(); ?>
</div>


<?php endif; ?>
</div>