<?php
/**
 * $Desc
 *
 * @version    $Id$
 * @package    wpbase
 * @author     bigtheme Team <bigtheme@gmail.com, support@bigtheme.ir>
 * @copyright  Copyright (C) 2015 bigtheme.ir. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * @website  http://www.bigtheme.ir
 * @support  http://www.bigtheme.ir
 */
wp_enqueue_script( 'pbr_isotope_js', PBR_THEME_URI.'/js/isotope.pkgd.min.js', array( 'jquery' ) );
wp_enqueue_script( 'pbr_prettyPhoto_js', PBR_THEME_URI.'/js/jquery.prettyPhoto.js', array( 'jquery' ) );
wp_enqueue_style( 'pbr_prettyPhoto_css', PBR_THEME_URI.'/css/prettyPhoto.css');

global $column, $newshopping_portfolio;

$col = floor(12/$column);
$smcol = ($col > 2)? 6: $col;
$class_column='col-lg-'.$col.' col-md-'.$col.' col-sm-'.$smcol;
$_count =0;

$terms = get_terms('category_portfolio',array('orderby'=>'id'));

$_id = newshopping_pbr_makeid();

?>

<div class="pbr-portfolio">
<?php if( $newshopping_portfolio->have_posts()): ?>
    <!-- filters category -->
    <div id="filters" class="isotope-filter">
      <ul class="nav nav-tabs pbr-portfolio-filters isotope-filter" data-related-grid="isotope-<?php echo esc_attr( $_id ); ?>">
        <li>
          <a href="javascript:void(0)" title="" data-filter=".all" class="active">
            <?php _e('All', 'newshopping'); ?>
          </a>
        </li>
    <?php if ( count($terms) > 0 ){
          foreach ( $terms as $term ): ?>
            <li><a href="javascript:void(0)" title="" data-filter=".<?php echo esc_attr( $term->slug ); ?>">
            <?php echo trim( $term->name ); ?>
            </a></li>
      <?php endforeach;
          }
      ?>
      </ul>
    </div>
  <div class="isotope-items row" data-isotope-duration="400" id="isotope-<?php echo esc_attr( $_id ); ?>">
  <?php while($newshopping_portfolio->have_posts()): $newshopping_portfolio->the_post();
     $item_classes = 'all ';
     $item_cats = get_the_terms( $newshopping_portfolio->post->ID, 'category_portfolio' );
     foreach((array)$item_cats as $item_cat){
       if(count($item_cat)>0 && $item_cat ){
          $item_classes .= $item_cat->slug . ' ';
        }
      }
$image_attributes = wp_get_attachment_image_src( get_post_thumbnail_id( $newshopping_portfolio->post->ID ), 'blog-thumbnails' );
$_video = array('type' => 'pbr_portfolio', 'format' =>'video_link');
?>
<div class=" isotope-item <?php echo esc_attr( $class_column ); ?> <?php echo esc_attr( $item_classes ); ?>">
  <div class="pbr-portfolio-content thumbnail text-center">
  <div class="pbr-portfolio-content-inner">
  <?php if( newshoping_pbr_embed( $_video) ){ ?>
    <div class="entry-thumb post-type-video">
      <div class="video-thumb video-responsive">
      <?php echo newshoping_pbr_embed( $_video); ?>
      </div>
      <div class="pbr-show-video">
        <a class="video-popup" href="javascript:void(0)" data-title="<?php the_title(); ?>" data-id="<?php the_ID(); ?>" data-toggle="modal" data-target="#videoModal">
          <i class="fa fa-youtube-play"></i>
          <?php the_title(); ?>
        </a>
      </div>
    </div>
<?php }elseif ( has_post_thumbnail() ){ ?>
      <figure class="pbr-portfolio-thumbnail">
        <a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
          <?php the_post_thumbnail('blog-thumbnails'); ?>
        </a>
      </figure>
      <div class="pbr-prettyPhoto">
      <?php
      if( $image_attributes ) : ?>
      <a href="<?php echo esc_url_raw( $image_attributes[0] ); ?>" rel="prettyPhoto[all]" title="<?php the_title_attribute(); ?>" class="btn btn-outline-inverse">
          <i class="fa fa-plus"></i>
      </a>
      <?php endif; ?>
    </div>
    <?php } ?>
<div class="pbr-portfolio-title caption">
  <h4 class="entry-title">
    <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
</h4>

<?php if($class_column !=3) { ?>
  <p class="entry-description"><?php echo newshoping_pbr_excerpt(20,'...'); ?></p>
<?php } ?>
</div>

</div>
</div>
</div>
<?php endwhile; ?>
<?php wp_reset_postdata(); ?>
</div>


<?php endif; ?>
</div>

<div class="modal fade" id="videoModal" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            </div>
            <div class="modal-body"><span class="spinner"></span></div>
        </div>
    </div>
</div>
