<?php
/**
 * $Desc
 *
 * @version    $Id$
 * @package    wpbase
 * @author     bigtheme Team <bigtheme@gmail.com, support@bigtheme.ir>
 * @copyright  Copyright (C) 2015 bigtheme.ir. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * @website  http://www.bigtheme.ir
 * @support  http://www.bigtheme.ir
 */
$postformat = get_post_format();

$icon = '';
switch ($postformat) {
    case 'link':
        $icon = 'fa-link';
        break;
    case 'gallery':
        $icon = 'fa-th-large';
        break;
    case 'audio':
        $icon = 'fa-music';
        break;
    case 'video':
        $icon = 'fa-film';
        break;
    default:
        $icon = 'fa-picture-o';
        break;
}
$class = 'post-default post-masonry space-0';
if(is_single()) $class .= ' post-single'; else $class .= ' not-post-single';
?>
<article id="post-<?php the_ID(); ?>" <?php post_class($class); ?>>
        <?php if ( is_sticky() && is_home() && ! is_paged() ) : ?>
          
        <?php endif; ?>
        <div class="post-container clearfix">
            <div class="blog-post-detail">
                <figure class="entry-thumb">
                    <?php 
                        if( has_post_format($postformat)){ 
                            get_template_part( 'templates/preview/content', $postformat );
                        }
                    ?>
                    <div class="entry-meta-top">
                        
                        <?php if(!empty($icon)){ ?>
                            <div class="icon-post bg-darker color-white space-padding-top-20 text-center">
                                <span class="space-padding-top-10 text-white fa <?php echo esc_attr($icon); ?>"></span>
                            </div>    
                        <?php } ?>

                        <div class="entry-created-2 bg-success space-padding-top-10 hidden">
                            <span class="month"><?php the_time( 'M' ); ?></span>
                            <span class="day"><?php the_time('d' ); ?></span>
                        </div>
                    </div>    
                </figure>
                <div class="entry-data">
                    <h3 class="entry-title">
                        <a href="<?php the_permalink(); ?>">
                            <?php the_title(); ?>
                        </a>
                    </h3>

                    <div class="entry-meta">
                        <span class="author-link"><?php _e('By ', 'newshopping') ?><?php the_author_posts_link(); ?></span>
                        <span class="meta-sep space-padding-lr-5"> . </span>
                        <span class="comment-count">
                            <?php comments_popup_link(__(' 0 comment', 'newshopping'), __(' 1 comment', 'newshopping'), __(' % comments', 'newshopping')); ?>
                        </span>
                    </div>

                    <p class="entry-content">
                        <?php echo newshoping_pbr_excerpt(32); ?>
                    </p>

                    <div class="entry-link">
                        <a href="<?php the_permalink(); ?>" class="btn btn-outline"><?php esc_html_e( 'read more','newshopping' ); ?></a>
                    </div>
                </div>
            </div>
        </div>
    </article>