<?php
/**
 * $Desc
 *
 * @version    $Id$
 * @package    wpbase
 * @author     bigtheme Team <bigtheme@gmail.com, support@bigtheme.ir>
 * @copyright  Copyright (C) 2015 bigtheme.ir. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * @website  http://www.bigtheme.ir
 * @support  http://www.bigtheme.ir
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="post-container">
		<div class="entry-thumb">
			<?php
				if ( has_post_format( 'video' )) {
				?>
					<div class="video-responsive">
						<?php newshoping_pbr_embed(); ?>
					</div>
				<?php
				}
				else if ( has_post_format( 'audio' )) {
				?>
					<div class="audio-thumb audio-responsive">
						<?php newshoping_pbr_embed(); ?>
					</div>
				<?php
				}
				else if ( has_post_format( 'gallery' )) {
					$_imgs = pbr_gallery();
					$galleries = array();
					foreach( $_imgs as $val){
						if( $val ) $galleries[] = $val;
					}
				?>
					<?php if(count($galleries) > 1) { ?>
							<div id="post-slide-<?php the_ID(); ?>" class="owl-carousel-play" data-ride="carousel">
								<div class="owl-carousel" data-slide="1"  data-singleItem="true" data-navigation="true" data-pagination="false">
									<?php foreach ($galleries as $key => $_img) {
										echo '<div class="item '.(($key==0)?'active':'').'">';
											echo '<img src="'.$_img.'" alt=""> class="img-responsive">';
										echo '</div>';
									} ?>
								</div>
								<div class="carousel-controls">
								<a class="left carousel-control" href="#post-slide-<?php the_ID(); ?>" data-slide="prev">
									<span class="fa fa-angle-left"></span>
								</a>
								<a class="right carousel-control" href="#post-slide-<?php the_ID(); ?>" data-slide="next">
									<span class="fa fa-angle-right"></span>
								</a>
								</div>
							</div>
						<?php } elseif (count($galleries) == 1){ ?>
									<?php foreach ($galleries as $key => $_img) {
										echo '<div class="item '.(($key==0)?'active':'').'">';
											echo '<img src="'.$_img.'" alt="" class="img-responsive">';
										echo '</div>';
									} ?>
						<?php } ?>
				<?php
				}
				else if (has_post_thumbnail()) {
				?>
				<a href="<?php the_permalink(); ?>" title="">
					<?php the_post_thumbnail('');?>
				</a>
				<?php }
			?>
		</div>
		<div class="entry-name">
			<?php if(newshopping_pbr_theme_options('post-title')){ ?>
			<h2 class="entry-title">
				<?php the_title(); ?>
			</h2>
			<?php } ?>
			<p class="entry-meta">
				<span class="entry-date"><i class="fa fa-calendar-o"></i><?php the_time( 'M d, Y' ); ?></span>
				<span class="comment-count">
					<i class="fa fa-comments-o"></i><?php comments_popup_link(__(' 0 comment', 'newshopping'), __(' 1 comment', 'newshopping'), __(' % comments', 'newshopping')); ?>
				</span>
				<span class="entry-author"><i class="fa fa-usre"></i><?php the_author_posts_link(); ?></span>
				<?php if(is_tag()): ?>
				<span class="tag-link"><i class="fa fa-tag"></i><?php the_tags(__('Tags: ', 'newshopping'),', '); ?></span>
				<?php endif; ?>
			</p>
		</div>
		<div class="entry-content no-border">
			<?php the_content(); ?>
			<?php wp_link_pages(); ?>
		</div>

		<div class="post-share">
			<div class="row">
				<div class="col-sm-4">
					<h4><?php esc_html_e( 'Share this Post!','newshopping' ); ?></h4>
				</div>
				<div class="col-sm-8">
					<?php newshopping_pbr_share_box(); ?>
				</div>
			</div>
		</div>

		<div class="author-about">
			<?php get_template_part('templates/author-bio'); ?>
		</div>

		<?php comments_template(); ?>

		<!-- Related Posts -->

		<?php if ( newshopping_pbr_theme_options( 'show_related') ) : ?>
			<div class="pbr-related-post">
				<?php
					$post_number = newshopping_pbr_theme_options( 'limit-post', 4);
					//$post_number = 4;
					newshoping_pbr_related_post( $post_number, 'post', 'category'); ?>
			</div>
		<?php endif; ?>

	</div><!--  End .post-container -->

</article>