<?php
/**
 * The template for displaying product content within loops.
 *
 * Override this template by copying it to yourtheme/woocommerce/content-product.php
 *
 * @author      WooThemes
 * @package     WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $product, $woocommerce_loop;

// Store loop count we're currently on
if ( empty( $woocommerce_loop['loop'] ) )
    $woocommerce_loop['loop'] = 0;

// Store column count for displaying the grid
if ( empty( $woocommerce_loop['columns'] ) )
    $woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns', 4 );

// Ensure visibility
if ( ! $product || ! $product->is_visible() )
    return;

// Increase loop count
$woocommerce_loop['loop']++;

// Extra post classes
$classes = '';
if ( 0 == ( $woocommerce_loop['loop'] - 1 ) % $woocommerce_loop['columns'] || 1 == $woocommerce_loop['columns'] )
    $classes = 'first';
if ( 0 == $woocommerce_loop['loop'] % $woocommerce_loop['columns'] )
    $classes = 'last';

$columns = 12/$woocommerce_loop['columns']
?>


<div <?php post_class( 'shopcol product-wrapper product-list-layout '.$classes.' product-cols' ); ?>>
	<?php global $product; ?>
    <div class="product-block product product-list">
    		<div class="media">
    			<figure class="image pull-left">
    		        <?php woocommerce_show_product_loop_sale_flash(); ?>
    		        <a href="<?php the_permalink(); ?>" class="product-image zoom-2">
    		            <?php
    		                /**
    		                * woocommerce_before_shop_loop_item_title hook
    		                *
    		                * @hooked woocommerce_show_product_loop_sale_flash - 10
    		                * @hooked woocommerce_template_loop_product_thumbnail - 10
    		                */
    		                remove_action('woocommerce_before_shop_loop_item_title','woocommerce_show_product_loop_sale_flash',10);
    		                do_action( 'woocommerce_before_shop_loop_item_title' );
    		            ?>
    		        </a>
    		    </figure>
                <div class="product-meta media-body">
                    <h3 class="name"> <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a> </h3>
                </div>
    		</div>
    </div>
</div>